CAPNG_FILL(3)

NAME
capng_fill - fill chosen capabilities set

SYNOPSIS
#include <cap-ng.h>

void capng_fill(capng_select_t set);

DESCRIPTION
capng_fill sets all bits to a 1 in the selected POSIX capabilities set. The options are CAPNG_SELECT_CAPS for the traditional capabilities, CAPNG_SELECT_BOUNDS for the bounding set, CAPNG_SELECT_BOTH if filling both is desired, CAPNG_SELECT_AMBIENT if only operating on the ambient capabilities, or CAPNG_SELECT_ALL if clearing all is desired..

RETURN VALUE
None.

NOTES
During capng_apply, bits in the bounding set can only be dropped. You cannot set them.

SEE ALSO
capng_apply(3), capabilities(7)

AUTHOR
Steve Grubb